# translate.py -- Pamhyr
# Copyright (C) 2023  INRAE
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from View.Tools.PamhyrTranslate import PamhyrTranslate

_translate = QCoreApplication.translate


class BasicHydraulicStructuresTranslate(PamhyrTranslate):
    def __init__(self):
        super(BasicHydraulicStructuresTranslate, self).__init__()

        self._dict['msg_type_change_title'] = _translate(
            "BasicHydraulicStructures",
            "Change hydraulic structure type"
        )

        self._dict['msg_type_change_text'] = _translate(
            "BasicHydraulicStructures",
            "Do you want to change the hydraulic structure type and reset \
hydraulic structure values?"
        )

        self._sub_dict["long_types"] = {
            "ND": _translate(
                "BasicHydraulicStructures", "Not defined"
            ),
            "S1": _translate(
                "BasicHydraulicStructures", "Seuil déversoir"
            ),
            "S2": _translate(
                "BasicHydraulicStructures", "Seuil trapezoidal"
            ),
            "S3": _translate(
                "BasicHydraulicStructures", "Seuil triangulaire"
            ),
            "OR": _translate(
                "BasicHydraulicStructures", "Orifice rectangulaire"
            ),
            "OC": _translate(
                "BasicHydraulicStructures", "Orifice circulaire"
            ),
            "OV": _translate(
                "BasicHydraulicStructures", "Orifice voute"
            ),
            "V1": _translate(
                "BasicHydraulicStructures", "Vanne rectangulaire"
            ),
            "V2": _translate(
                "BasicHydraulicStructures", "Vanne rectangulaire simplifiée"
            ),
            "BO": _translate(
                "BasicHydraulicStructures", "Perte de charge à la Borda"
            ),
            "UD": _translate(
                "BasicHydraulicStructures", "User defined"
            ),
        }

        self._sub_dict["table_headers"] = {
            "name": _translate("BasicHydraulicStructures", "Name"),
            "type": _translate("BasicHydraulicStructures", "Type"),
        }

        self._sub_dict["table_headers_parameters"] = {
            "name": _translate("BasicHydraulicStructures", "Name"),
            "value": _translate("BasicHydraulicStructures", "Value"),
        }
